%global momorel 6
%global __perl_requires %{_tmppath}/%{name}-%{version}.requires

Summary:	PDF-API2 module for perl 
Name:		perl-PDF-API2
Version:	0.73
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
#Source0:	http://www.cpan.org/modules/by-module/PDF/PDF-API2-%%{version}.tar.gz
Source0:	http://www.cpan.org/authors/id/A/AR/AREIBENS/PDF-API2-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/PDF/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.8
BuildArch:	noarch

%description
PDF-API2 module for perl

%prep
%setup -q -n PDF-API2-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > PDF-API2-%{version}-filelist
if [ "$(cat PDF-API2-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# custom requires script
%{__cat} <<EOF > %{__perl_requires}
#!/bin/bash
%{__cat} | %{__grep} -v $RPM_BUILD_ROOT%{_docdir} | /usr/lib/rpm/perl.req $* \
        | %{__grep} -v 'Win32' | %{__grep} -v ''
EOF
%{__chmod} 700 %{__perl_requires}
	
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%{__rm} -f %{__perl_requires}

%files -f PDF-API2-%{version}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.73-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.73-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-2m)
- rebuild against perl-5.10.1

* Sat Mar 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.73-1m)
- update to .0.73

* Tue Feb 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.72.003-1m)
- update to 0.72.003

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.72-2m)
- rebuild against rpm-4.6

* Sat Nov  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.72-1m)
- update to 0.72

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.71.001-1m)
- update to 0.71.001

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.69-2m)
- rebuild against gcc43

* Sat Jan 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.69-1m)
- update to 0.69

* Sat Nov 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.68-1m)
- update to 0.68

* Sun Nov  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.66-1m)
- update to 0.66

* Thu Sep 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.65-1m)
- update to 0.65
- do not use %%NoSource macro

* Tue Aug 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.63-1m)
- update to 0.63

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.62-1m)
- update to 0.62

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.61-1m)
- update to 0.61

* Sun Apr 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.60-1m)
- update to 0.60

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.59.002-2m)
- use vendor

* Wed Mar 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.59.002-1m)
- update to 0.59.002

* Sat Mar 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.59-1m)
- update to 0.59

* Thu Jan 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.57-1m)
- update to 0.57

* Fri Jan  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.56-1m)
- update to 0.56

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.55-1m)
- spec file was autogenerated
